/*
 * error_message_test tests Launcher_template<C>::write_line_error_message().
 * It uses it's own int main() for test purposes.
 *
 * Copyright (c) 2010 Vasily Eremenko <vasily.eremenko@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *
 *
 *
 * To compile this file using gcc you have to type
 * g++ -o 010-error_message_test 010-error_message_test.cpp
 */

// **********************************************
# include <string>

namespace schq
{
  // *GLOBAL VARIABLE!!!*
  const std::string program_name = "error_message_test";
}

# include "schq_launcher_template.h"

namespace schq
{
  class Simple_runner
  {
  public:
    Simple_runner(libconfig::Setting & root, log4cpp::Category & uplevel_log)
    {
    }

    void run()
    {
    }

    void to_setting_as_children(libconfig::Setting & root)
    {
    }
  };

  typedef Launcher_template<Simple_runner> Launcher;
}

int main()
{
  std::string msg = "This is simple test error message.";
  schq::Launcher::write_line_error_message(__FILE__, __LINE__, msg);
  return 0;
}
